com.pivotal.gemfirexd.internal.client.net

## Class NetPackageReply

- java.lang.Object
- - com.pivotal.gemfirexd.internal.client.net.Reply
  - - com.pivotal.gemfirexd.internal.client.net.NetConnectionReply
    - - com.pivotal.gemfirexd.internal.client.net.NetPackageReply

All Implemented Interfaces:
  ConnectionReplyInterface

Direct Known Subclasses:
  NetStatementReply

    public class NetPackageReply
    extends NetConnectionReply

### Field Summary

### Fields inherited from class com.pivotal.gemfirexd.internal.client.net.Reply

`agent_, buffer_, count_, DEFAULT_BUFFER_SIZE, dssCorrelationID_, dssIsContinued_, dssLength_, END_OF_COLLECTION, END_OF_SAME_ID_CHAIN, ensuredLengthForDecryption_, longBufferForDecryption_, longCountForDecryption_, longPosForDecryption_, longValueForDecryption_, netAgent_, peekedCodePoint_, peekedLength_, pos_`

### Method Summary

Methods
`protected Object` `parsePKGNAMCT(boolean skip)`
`protected void` `parseRDBUPDRM()`

### Methods inherited from class com.pivotal.gemfirexd.internal.client.net.NetConnectionReply

`checkAndGetReceivedFlag, checkRequiredObjects, checkRequiredObjects, checkRequiredObjects, checkRequiredObjects, checkRequiredObjects, checkRequiredObjects, doObjnsprmSemantics, doPrccnvrmSemantics, doPrmnsprmSemantics, parseCCSIDDBC, parseCCSIDMBC, parseCCSIDSBC, parseCMDCHKRM, parseCMDNSPRM, parseCODPNT, parseCODPNTDR, parseCommitError, parseCRRTKN, parseEXTNAM, parseFastSVRCOD, parseFastVCS, parseIndoubtList, parseInitialPBSD, parseMGRLVLN, parsePBSD, parsePRCCNVCD, parsePRCCNVRM, parsePRDID, parseRDBNAM, parseSECCHKCD, parseSECMEC, parseSECTKN, parseSQLCARD, parseSRVCLSNM, parseSRVNAM, parseSRVRLSLV, parseSVRCOD, parseSYNCCTLreply, parseSYNCTYPE, parseSYNERRCD, parseSYNTAXRM, parseTypdefsOrMgrlvlovrs, parseUOWDSP, parseUSRID, parseVALNSPRM, parseXARETVAL, parseXID, parseXIDCNT, readCommitSubstitute, readLocalCommit, readLocalRollback, readLocalXACommit, readLocalXARollback, readLocalXAStart, readXaCommit, readXaEndUnitOfWork, readXaForget, readXaPrepare, readXaRecover, readXaRollback, readXaStartUnitOfWork`

### Methods inherited from class com.pivotal.gemfirexd.internal.client.net.Reply

`adjustDdmLength, adjustLengths, endOfSameIdChainData, ensureALayerDataInBuffer, ensureBLayerDataInBuffer, ensureSpaceInBufferForFill, fill, matchCodePoint, parseLengthAndMatchCodePoint, peekCodePoint, peekFastBytes, peekFastLength, peekForNullSqlcagrp, peekLength, peekNumOfColumns, peekTotalColumnCount, popCollectionStack, pushLengthOnCollectionStack, readDSSContinuationHeader, readDssHeader, readLengthAndCodePoint, startSameIdChainParse`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### parseRDBUPDRM

    protected void parseRDBUPDRM()
                          throws DisconnectException

Throws:
  `DisconnectException`

#### parsePKGNAMCT

    protected Object parsePKGNAMCT(boolean skip)
                            throws DisconnectException

Throws:
  `DisconnectException`